Geom_Line(constgp_Lin&L) Creates a line from a non transient line from package gp.More... Geom_Line(constgp_Pnt&P, constgp_Dir&V) Constructs a line passing through point P and parallel to vector V (P and V are, respectively, the origin and the unit vector of the positioning axis...
theHandlePtr-- a pointer to the geometric variable (Handle toGeom_GeometryorGeom2d_Curveor descendant) to be set. thePntPtr-- a pointer to the variable of typegp_Pntto be set. thePnt2dPtr-- a pointer to the variable of typegp_Pnt2dto be set. All these functions are defined inTKDra...
AppDef_LinearCriteria.hxx AppDef_MultiLine.hxx AppDef_MultiPointConstraint.hxx AppDef_MyBSplGradientOfBSplineCompute.hxx AppDef_MyGradientbisOfBSplineCompute.hxx AppDef_MyGradientOfCompute.hxx AppDef_MyLineTool.hxx AppDef_ParFunctionOfMyGradientbisOfBSplineCompute.hxx AppDef_ParF...
gp_Lin GeomAdaptor_Curve::Line ( ) const overridevirtual Reimplemented from Adaptor3d_Curve.◆ Load() [1/2]void GeomAdaptor_Curve::Load ( const Handle< Geom_Curve > & C ) ◆ Load() [2/2]void GeomAdaptor_Curve::Load ( const Handle< Geom_Curve > & C, const Standard_Real U...
◆ Line()gp_Lin ProjLib_ProjectOnPlane::Line ( ) const overridevirtual Reimplemented from Adaptor3d_Curve.◆ Load()void ProjLib_ProjectOnPlane::Load ( const Handle< Adaptor3d_HCurve > & C, const Standard_Real Tolerance, const Standard_Boolean KeepParametrization = Standard_True ) ...
Open CASCADE Technology (OCCT) is an open-source software development platform for 3D CAD, CAM, CAE. This is a clone of the official repository located on https://dev.opencascade.org/. Please use official development portal for registering issues and pro
aPoints.SetValue(2, 5, gp_Pnt(-2, 5, 4)); aPoints.SetValue(3, 1, gp_Pnt(0, -4, 3.5)); aPoints.SetValue(3, 2, gp_Pnt(0, -2, 3.5)); aPoints.SetValue(3, 3, gp_Pnt(0, 0, 3.5)); aPoints.SetValue(3, 4, gp_Pnt(0, 2, 3.5)); ...
gp_Pnt aP; TopAbs_State aState; gp_Pnt2d aP2d; // GeomAPI_ProjectPointOnSurf& aProjector=myContext->ProjPS(myFace); Standard_Integer aNbSeg=23; if (myC.GetType() == GeomAbs_Line && myS.GetType() == GeomAbs_Plane) aNbSeg = 2; // Check only three points for Line/Plane intersec...
aPoints.SetValue(2,5,gp_Pnt(-2,5,4)); aPoints.SetValue(3,1,gp_Pnt(0,-4,3.5)); aPoints.SetValue(3,2,gp_Pnt(0,-2,3.5)); aPoints.SetValue(3,3,gp_Pnt(0,0,3.5)); aPoints.SetValue(3,4,gp_Pnt(0,2,3.5)); aPoints.SetValue(3,5,gp_Pnt(0,5,3.5)); ...
gp_Pnt aP; TopAbs_State aState; gp_Pnt2d aP2d;//GeomAPI_ProjectPointOnSurf& aProjector=myContext->ProjPS(myFace); Standard_Integer aNbSeg=23;if(myC.GetType() == GeomAbs_Line && myS.GetType() == GeomAbs_Plane) aNbSeg =2;// Check only three points for Line/Plane intersectionconst...